<?php

namespace Teknisa\FIS\Services;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Request\DataSet;
use Teknisa\Libs\Util\XLS\FileLoader;
use Teknisa\Libs\Util\XLS\FileReader;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\XLS\Table;
use Teknisa\Libs\Util\XLS\Exception;
use Geral\Entities\Centcust;
use Geral\Entities\Produto;
use Zeedhi\Framework\DataSource;
use PHPExcel_Cell;
use PHPExcel_Shared_Date;
use \Teknisa\Libs\Util\NewCode;
use Teknisa\FIS\Factories\Fis02600ClassificacaoFiscalFactory;

class Fis02600ClassificacaoFiscalService{ 
    
    
    protected $entityManager;
    protected $environment;
    protected $columns;
    protected $columnNames; //nome das colunas da planilha
    protected $Fis02600ClassificacaoFiscalFactory;
    
    public function __construct(Environment $environment, \Doctrine\ORM\EntityManager $entityManager, Fis02600ClassificacaoFiscalFactory $Fis02600ClassificacaoFiscalFactory) {
        $this->environment = $environment;
        $this->entityManager = $entityManager;
        $this->factory = $Fis02600ClassificacaoFiscalFactory;
    }
    
    public function readXls($row){
        $file = $row['FILE'];
        $columnNames = $row['CAMPOS'];
        $xlsFile = FileLoader::loadFromBase64($file['content'], $file['name']);
        if(!$xlsFile){
            
            throw new \Exception(self::IMPORT_LOAD_FILE_ERROR);
        }
        $worksheet = $xlsFile->getActiveSheet();
        $table = FileReader::readWorksheetTable($worksheet, $columnNames);
        return $table;
    }
    
    public function formatXls(Table $table){
        $columnsReference = $table->getColumnsReference();
        $tableRows = $table->getRows();
        $columnsNumber = $table->getNumberOfColumns();
        $i = 0;
        foreach ($tableRows as &$row) {
            $row = $row['content'];
            for($column = 0; $column < $columnsNumber; $column++){
                $columnLetterIndex = PHPExcel_Cell::stringFromColumnIndex($column);

                $columnName = $columnsReference[$columnLetterIndex];
                $row[$columnName] = self::formatValue($row[$columnName], $columnName);
            }
            $row["ROWNUM"] = $i;

            $i++;
        }
        return $tableRows;
    }

}