/*
  Tabela ENDEFORN: Endereo do Fornecedor.
  Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes
             nas colunas que se encontram na tabela ENDEFORN.
  Objetivo: Gerar um log que vai utilizar a tabela Geral de Logs de Operaes para
            registrar as alteraes nas colunas da tabela ENDEFORN.
*/

CREATE OR REPLACE TRIGGER LOG_GER_ENDEFORN
AFTER UPDATE OR INSERT OR DELETE
ON ENDEFORN FOR EACH ROW
DECLARE
  V_TIPO         VARCHAR2(1);
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(1000);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
  V_DSTPENDEFORN VARCHAR2(20);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_TIPO       := '0';
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';

   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   IF DELETING THEN
      IF :OLD.CDFORNECED IS NOT NULL THEN
         V_DESC := V_DESC||' CdForneced='||:OLD.CDFORNECED;
      END IF;

      IF :OLD.IDTPENDEFORN IS NOT NULL THEN
         IF :OLD.IDTPENDEFORN = 'P' THEN
            V_DSTPENDEFORN := '-Principal';
         ELSE
            IF :OLD.IDTPENDEFORN = 'C' THEN
               V_DSTPENDEFORN := '-Pagamento';
            ELSE
               IF :OLD.IDTPENDEFORN = 'E' THEN
                  V_DSTPENDEFORN := '-Exterior';
               ELSE
                  IF :OLD.IDTPENDEFORN = 'X' THEN
                     V_DSTPENDEFORN := '-Exportao';
                  END IF;
               END IF;
            END IF;
         END IF;
         V_DESC := V_DESC||' TipoEnde='||:OLD.IDTPENDEFORN||V_DSTPENDEFORN;
      END IF;

      IF :OLD.DSENDEFORN IS NOT NULL THEN
         V_DESC := V_DESC || ' DescEndereo=' || :OLD.DSENDEFORN;
      END IF;

      IF :OLD.NRENDEFORNSEP IS NOT NULL THEN
         V_DESC := V_DESC || ' Nmero=' || :OLD.NRENDEFORNSEP;
      END IF;

      IF :OLD.DSCOMPENDFOR IS NOT NULL THEN
         V_DESC := V_DESC || ' Complemento=' || :OLD.DSCOMPENDFOR;
      END IF;

      IF :OLD.CDLOGRADOURO	IS NOT NULL THEN
         V_DESC := V_DESC || ' Logradouro=' || :OLD.CDLOGRADOURO;
      END IF;

      IF :OLD.NMBAIRFORN IS NOT NULL THEN
         V_DESC := V_DESC || ' NmBairro=' || :OLD.NMBAIRFORN;
      END IF;

      IF :OLD.CDPAIS IS NOT NULL THEN
         V_DESC := V_DESC || ' Pas=' || :OLD.CDPAIS;
      END IF;

      IF :OLD.SGESTADO IS NOT NULL THEN
         V_DESC := V_DESC || ' SgEstado=' || :OLD.SGESTADO;
      END IF;

      IF :OLD.CDMUNICIPIO IS NOT NULL THEN
         V_DESC := V_DESC || ' CdMunicpio=' || :OLD.CDMUNICIPIO;
      END IF;

      IF :OLD.NMCONTFORN IS NOT NULL THEN
         V_DESC := V_DESC || ' Contato=' || :OLD.NMCONTFORN;
      END IF;

      IF :OLD.DSEMAILFORN IS NOT NULL THEN
         V_DESC := V_DESC || ' Email=' || :OLD.DSEMAILFORN;
      END IF;

      IF :OLD.NRDDDTELEFORN IS NOT NULL THEN
         V_DESC := V_DESC || ' DDDTel1=' || :OLD.NRDDDTELEFORN;
      END IF;

      IF :OLD.NRTELEFORN IS NOT NULL THEN
         V_DESC := V_DESC || ' Tel1=' || :OLD.NRTELEFORN;
      END IF;

      IF :OLD.NRRAMALFORN IS NOT NULL THEN
         V_DESC := V_DESC || ' RamalTel1=' || :OLD.NRRAMALFORN;
      END IF;

      IF :OLD.NRDDDTELEFORN1 IS NOT NULL THEN
         V_DESC := V_DESC || ' DDDTel2=' || :OLD.NRDDDTELEFORN1;
      END IF;

      IF :OLD.NRTELEFORN1 IS NOT NULL THEN
         V_DESC := V_DESC || ' Tel2=' || :OLD.NRTELEFORN1;
      END IF;

      IF :OLD.NRRAMALFORN1	IS NOT NULL THEN
         V_DESC := V_DESC || ' RamalTel2=' || :OLD.NRRAMALFORN1;
      END IF;

      IF :OLD.NRDDDFAXFORN	IS NOT NULL THEN
         V_DESC := V_DESC || ' DDDCel=' || :OLD.NRDDDFAXFORN;
      END IF;

      IF :OLD.NRCELULARFOR	IS NOT NULL THEN
         V_DESC := V_DESC || ' TelCel=' || :OLD.NRCELULARFOR;
      END IF;

      IF :OLD.NRDDDTELRESIFOR	IS NOT NULL THEN
         V_DESC := V_DESC || ' DDDResiden=' || :OLD.NRDDDTELRESIFOR;
      END IF;

      IF :OLD.NRTELRESIFOR	IS NOT NULL THEN
         V_DESC := V_DESC || ' TelResiden=' || :OLD.NRTELRESIFOR;
      END IF;

      IF :OLD.NRDDDFAXFORN	IS NOT NULL THEN
         V_DESC := V_DESC || ' DDDFax=' || :OLD.NRDDDFAXFORN;
      END IF;

      IF :OLD.NRFAXFORN	IS NOT NULL THEN
         V_DESC := V_DESC || ' TelFax=' || :OLD.NRFAXFORN;
      END IF;

      IF :OLD.DSEMAILFORNNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' EmailNFe=' || :OLD.DSEMAILFORNNFE;
      END IF;

      V_TIPO   := '3';
      V_ITPESQ := :OLD.CDFORNECED;
   ELSE
      IF UPDATING THEN
         IF (NVL(:OLD.CDFORNECED,'!')      <> NVL(:NEW.CDFORNECED,'!'))      OR
            (NVL(:OLD.IDTPENDEFORN,'!')    <> NVL(:NEW.IDTPENDEFORN,'!'))    OR
            (NVL(:OLD.DSENDEFORN,'!')      <> NVL(:NEW.DSENDEFORN,'!'))      OR
            (NVL(:OLD.NRENDEFORNSEP,'!')   <> NVL(:NEW.NRENDEFORNSEP,'!'))   OR
            (NVL(:OLD.DSCOMPENDFOR,'!')    <> NVL(:NEW.DSCOMPENDFOR,'!'))    OR
            (NVL(:OLD.CDLOGRADOURO,'!')    <> NVL(:NEW.CDLOGRADOURO,'!'))    OR
            (NVL(:OLD.NMBAIRFORN,'!')      <> NVL(:NEW.NMBAIRFORN,'!'))      OR
            (NVL(:OLD.CDPAIS,'!')          <> NVL(:NEW.CDPAIS,'!'))          OR
            (NVL(:OLD.SGESTADO,'!')        <> NVL(:NEW.SGESTADO,'!'))        OR
            (NVL(:OLD.CDMUNICIPIO,'!')     <> NVL(:NEW.CDMUNICIPIO,'!'))     OR
            (NVL(:OLD.NMCONTFORN,'!')      <> NVL(:NEW.NMCONTFORN,'!'))      OR
            (NVL(:OLD.DSEMAILFORN,'!')     <> NVL(:NEW.DSEMAILFORN,'!'))     OR
            (NVL(:OLD.NRDDDTELEFORN,'!')   <> NVL(:NEW.NRDDDTELEFORN,'!'))   OR
            (NVL(:OLD.NRTELEFORN,'!')      <> NVL(:NEW.NRTELEFORN,'!'))      OR
            (NVL(:OLD.NRRAMALFORN,'!')     <> NVL(:NEW.NRRAMALFORN,'!'))     OR
            (NVL(:OLD.NRDDDTELEFORN1,'!')  <> NVL(:NEW.NRDDDTELEFORN1,'!'))  OR
            (NVL(:OLD.NRTELEFORN1,'!')     <> NVL(:NEW.NRTELEFORN1,'!'))     OR
            (NVL(:OLD.NRRAMALFORN1,'!')    <> NVL(:NEW.NRRAMALFORN1,'!'))    OR
            (NVL(:OLD.NRDDDFAXFORN,'!')    <> NVL(:NEW.NRDDDFAXFORN,'!'))    OR
            (NVL(:OLD.NRCELULARFOR,'!')    <> NVL(:NEW.NRCELULARFOR,'!'))    OR
            (NVL(:OLD.NRDDDTELRESIFOR,'!') <> NVL(:NEW.NRDDDTELRESIFOR,'!')) OR
            (NVL(:OLD.NRTELRESIFOR,'!')    <> NVL(:NEW.NRTELRESIFOR,'!'))    OR
            (NVL(:OLD.NRDDDFAXFORN,'!')    <> NVL(:NEW.NRDDDFAXFORN,'!'))    OR
            (NVL(:OLD.NRFAXFORN,'!')       <> NVL(:NEW.NRFAXFORN,'!'))       OR
            (NVL(:OLD.DSEMAILFORNNFE,'!')  <> NVL(:NEW.DSEMAILFORNNFE,'!'))  THEN

            IF (NVL(:OLD.CDFORNECED,'!') <> NVL(:NEW.CDFORNECED,'!')) THEN
               V_DESC := V_DESC || ' CdForneced=' || :NEW.CDFORNECED;
            END IF;

            IF :NEW.IDTPENDEFORN IS NOT NULL THEN
               IF :NEW.IDTPENDEFORN = 'P' THEN
                  V_DSTPENDEFORN := '-Principal';
               ELSE
                  IF :NEW.IDTPENDEFORN = 'C' THEN
                     V_DSTPENDEFORN := '-Pagamento';
                  ELSE
                     IF :NEW.IDTPENDEFORN = 'E' THEN
                        V_DSTPENDEFORN := '-Exterior';
                     ELSE
                        IF :NEW.IDTPENDEFORN = 'X' THEN
                           V_DSTPENDEFORN := '-Exportao';
                        END IF;
                     END IF;
                  END IF;
               END IF;
               V_DESC := V_DESC||' TipoEnde='||:NEW.IDTPENDEFORN||V_DSTPENDEFORN;
            END IF;

            IF (NVL(:OLD.DSENDEFORN,'!') <> NVL(:NEW.DSENDEFORN,'!')) THEN
               V_DESC := V_DESC || ' DescEndereo=' || :NEW.DSENDEFORN;
            END IF;

            IF (NVL(:OLD.NRENDEFORNSEP,'!') <> NVL(:NEW.NRENDEFORNSEP,'!')) THEN
               V_DESC := V_DESC || ' Nmero=' || :NEW.NRENDEFORNSEP;
            END IF;

            IF (NVL(:OLD.DSCOMPENDFOR,'!') <> NVL(:NEW.DSCOMPENDFOR,'!')) THEN
               V_DESC := V_DESC || ' Complemento=' || :NEW.DSCOMPENDFOR;
            END IF;

            IF (NVL(:OLD.CDLOGRADOURO,'!') <> NVL(:NEW.CDLOGRADOURO,'!')) THEN
               V_DESC := V_DESC || ' Logradouro=' || :NEW.CDLOGRADOURO;
            END IF;

            IF (NVL(:OLD.NMBAIRFORN,'!') <> NVL(:NEW.NMBAIRFORN,'!')) THEN
               V_DESC := V_DESC || ' NmBairro=' || :NEW.NMBAIRFORN;
            END IF;

            IF (NVL(:OLD.CDPAIS,'!') <> NVL(:NEW.CDPAIS,'!')) THEN
               V_DESC := V_DESC || ' Pas=' || :NEW.CDPAIS;
            END IF;

            IF (NVL(:OLD.SGESTADO,'!') <> NVL(:NEW.SGESTADO,'!')) THEN
               V_DESC := V_DESC || ' SgEstado=' || :NEW.SGESTADO;
            END IF;

            IF (NVL(:OLD.CDMUNICIPIO,'!') <> NVL(:NEW.CDMUNICIPIO,'!')) THEN
               V_DESC := V_DESC || ' CdMunicpio=' || :NEW.CDMUNICIPIO;
            END IF;

            IF (NVL(:OLD.NMCONTFORN,'!') <> NVL(:NEW.NMCONTFORN,'!')) THEN
               V_DESC := V_DESC || ' Contato=' || :NEW.NMCONTFORN;
            END IF;

            IF (NVL(:OLD.DSEMAILFORN,'!') <> NVL(:NEW.DSEMAILFORN,'!')) THEN
               V_DESC := V_DESC || ' Email=' || :NEW.DSEMAILFORN;
            END IF;

            IF (NVL(:OLD.NRDDDTELEFORN,'!') <> NVL(:NEW.NRDDDTELEFORN,'!')) THEN
               V_DESC := V_DESC || ' DDDTel1=' || :NEW.NRDDDTELEFORN;
            END IF;

            IF (NVL(:OLD.NRTELEFORN,'!') <> NVL(:NEW.NRTELEFORN,'!')) THEN
               V_DESC := V_DESC || ' Tel1=' || :NEW.NRTELEFORN;
            END IF;

            IF (NVL(:OLD.NRRAMALFORN,'!') <> NVL(:NEW.NRRAMALFORN,'!')) THEN
               V_DESC := V_DESC || ' RamalTel1=' || :NEW.NRRAMALFORN;
            END IF;

            IF (NVL(:OLD.NRDDDTELEFORN1,'!') <> NVL(:NEW.NRDDDTELEFORN1,'!')) THEN
               V_DESC := V_DESC || ' DDDTel2=' || :NEW.NRDDDTELEFORN1;
            END IF;

            IF (NVL(:OLD.NRTELEFORN1,'!') <> NVL(:NEW.NRTELEFORN1,'!')) THEN
               V_DESC := V_DESC || ' Tel2=' || :NEW.NRTELEFORN1;
            END IF;

            IF (NVL(:OLD.NRRAMALFORN1,'!') <> NVL(:NEW.NRRAMALFORN1,'!')) THEN
               V_DESC := V_DESC || ' RamalTel2=' || :NEW.NRRAMALFORN1;
            END IF;

            IF (NVL(:OLD.NRDDDFAXFORN,'!') <> NVL(:NEW.NRDDDFAXFORN,'!')) THEN
               V_DESC := V_DESC || ' DDDCel=' || :NEW.NRDDDFAXFORN;
            END IF;

            IF (NVL(:OLD.NRCELULARFOR,'!') <> NVL(:NEW.NRCELULARFOR,'!')) THEN
               V_DESC := V_DESC || ' TelCel=' || :NEW.NRCELULARFOR;
            END IF;

            IF (NVL(:OLD.NRDDDTELRESIFOR,'!') <> NVL(:NEW.NRDDDTELRESIFOR,'!')) THEN
               V_DESC := V_DESC || ' DDDResiden=' || :NEW.NRDDDTELRESIFOR;
            END IF;

            IF (NVL(:OLD.NRTELRESIFOR,'!') <> NVL(:NEW.NRTELRESIFOR,'!')) THEN
               V_DESC := V_DESC || ' TelResiden=' || :NEW.NRTELRESIFOR;
            END IF;

            IF (NVL(:OLD.NRDDDFAXFORN,'!') <> NVL(:NEW.NRDDDFAXFORN,'!')) THEN
               V_DESC := V_DESC || ' DDDFax=' || :NEW.NRDDDFAXFORN;
            END IF;

            IF (NVL(:OLD.NRFAXFORN,'!') <> NVL(:NEW.NRFAXFORN,'!')) THEN
               V_DESC := V_DESC || ' TelFax=' || :NEW.NRFAXFORN;
            END IF;

            IF (NVL(:OLD.DSEMAILFORNNFE,'!') <> NVL(:NEW.DSEMAILFORNNFE,'!')) THEN
               V_DESC := V_DESC || ' EmailNFe=' || :NEW.DSEMAILFORNNFE;
            END IF;

            V_TIPO   := '2';
            V_ITPESQ := :OLD.CDFORNECED;
         END IF;
      ELSE
         IF (NVL(:OLD.CDFORNECED,'!') <> NVL(:NEW.CDFORNECED,'!')) THEN
            V_DESC := V_DESC || ' CdForneced=' || :NEW.CDFORNECED;
         END IF;

         IF :NEW.IDTPENDEFORN IS NOT NULL THEN
            IF :NEW.IDTPENDEFORN = 'P' THEN
               V_DSTPENDEFORN := '-Principal';
            ELSE
               IF :NEW.IDTPENDEFORN = 'C' THEN
                  V_DSTPENDEFORN := '-Pagamento';
               ELSE
                  IF :NEW.IDTPENDEFORN = 'E' THEN
                     V_DSTPENDEFORN := '-Exterior';
                  ELSE
                     IF :NEW.IDTPENDEFORN = 'X' THEN
                        V_DSTPENDEFORN := '-Exportao';
                     END IF;
                  END IF;
               END IF;
            END IF;
            V_DESC := V_DESC||' TipoEnde='||:NEW.IDTPENDEFORN||V_DSTPENDEFORN;
         END IF;

         IF (NVL(:OLD.DSENDEFORN,'!') <> NVL(:NEW.DSENDEFORN,'!')) THEN
            V_DESC := V_DESC || ' DescEndereo=' || :NEW.DSENDEFORN;
         END IF;

         IF (NVL(:OLD.NRENDEFORNSEP,'!') <> NVL(:NEW.NRENDEFORNSEP,'!')) THEN
            V_DESC := V_DESC || ' Nmero=' || :NEW.NRENDEFORNSEP;
         END IF;

         IF (NVL(:OLD.DSCOMPENDFOR,'!') <> NVL(:NEW.DSCOMPENDFOR,'!')) THEN
            V_DESC := V_DESC || ' Complemento=' || :NEW.DSCOMPENDFOR;
         END IF;

         IF (NVL(:OLD.CDLOGRADOURO,'!') <> NVL(:NEW.CDLOGRADOURO,'!')) THEN
            V_DESC := V_DESC || ' Logradouro=' || :NEW.CDLOGRADOURO;
         END IF;

         IF (NVL(:OLD.NMBAIRFORN,'!') <> NVL(:NEW.NMBAIRFORN,'!')) THEN
            V_DESC := V_DESC || ' NmBairro=' || :NEW.NMBAIRFORN;
         END IF;

         IF (NVL(:OLD.CDPAIS,'!') <> NVL(:NEW.CDPAIS,'!')) THEN
            V_DESC := V_DESC || ' Pas=' || :NEW.CDPAIS;
         END IF;

         IF (NVL(:OLD.SGESTADO,'!') <> NVL(:NEW.SGESTADO,'!')) THEN
            V_DESC := V_DESC || ' SgEstado=' || :NEW.SGESTADO;
         END IF;

         IF (NVL(:OLD.CDMUNICIPIO,'!') <> NVL(:NEW.CDMUNICIPIO,'!')) THEN
            V_DESC := V_DESC || ' CdMunicpio=' || :NEW.CDMUNICIPIO;
         END IF;

         IF (NVL(:OLD.NMCONTFORN,'!') <> NVL(:NEW.NMCONTFORN,'!')) THEN
            V_DESC := V_DESC || ' Contato=' || :NEW.NMCONTFORN;
         END IF;

         IF (NVL(:OLD.DSEMAILFORN,'!') <> NVL(:NEW.DSEMAILFORN,'!')) THEN
            V_DESC := V_DESC || ' Email=' || :NEW.DSEMAILFORN;
         END IF;

         IF (NVL(:OLD.NRDDDTELEFORN,'!') <> NVL(:NEW.NRDDDTELEFORN,'!')) THEN
            V_DESC := V_DESC || ' DDDTel1=' || :NEW.NRDDDTELEFORN;
         END IF;

         IF (NVL(:OLD.NRTELEFORN,'!') <> NVL(:NEW.NRTELEFORN,'!')) THEN
            V_DESC := V_DESC || ' Tel1=' || :NEW.NRTELEFORN;
         END IF;

         IF (NVL(:OLD.NRRAMALFORN,'!') <> NVL(:NEW.NRRAMALFORN,'!')) THEN
            V_DESC := V_DESC || ' RamalTel1=' || :NEW.NRRAMALFORN;
         END IF;

         IF (NVL(:OLD.NRDDDTELEFORN1,'!') <> NVL(:NEW.NRDDDTELEFORN1,'!')) THEN
            V_DESC := V_DESC || ' DDDTel2=' || :NEW.NRDDDTELEFORN1;
         END IF;

         IF (NVL(:OLD.NRTELEFORN1,'!') <> NVL(:NEW.NRTELEFORN1,'!')) THEN
            V_DESC := V_DESC || ' Tel2=' || :NEW.NRTELEFORN1;
         END IF;

         IF (NVL(:OLD.NRRAMALFORN1,'!') <> NVL(:NEW.NRRAMALFORN1,'!')) THEN
            V_DESC := V_DESC || ' RamalTel2=' || :NEW.NRRAMALFORN1;
         END IF;

         IF (NVL(:OLD.NRDDDFAXFORN,'!') <> NVL(:NEW.NRDDDFAXFORN,'!')) THEN
            V_DESC := V_DESC || ' DDDCel=' || :NEW.NRDDDFAXFORN;
         END IF;

         IF (NVL(:OLD.NRCELULARFOR,'!') <> NVL(:NEW.NRCELULARFOR,'!')) THEN
            V_DESC := V_DESC || ' TelCel=' || :NEW.NRCELULARFOR;
         END IF;

         IF (NVL(:OLD.NRDDDTELRESIFOR,'!') <> NVL(:NEW.NRDDDTELRESIFOR,'!')) THEN
            V_DESC := V_DESC || ' DDDResiden=' || :NEW.NRDDDTELRESIFOR;
         END IF;

         IF (NVL(:OLD.NRTELRESIFOR,'!') <> NVL(:NEW.NRTELRESIFOR,'!')) THEN
            V_DESC := V_DESC || ' TelResiden=' || :NEW.NRTELRESIFOR;
         END IF;

         IF (NVL(:OLD.NRDDDFAXFORN,'!') <> NVL(:NEW.NRDDDFAXFORN,'!')) THEN
            V_DESC := V_DESC || ' DDDFax=' || :NEW.NRDDDFAXFORN;
         END IF;

         IF (NVL(:OLD.NRFAXFORN,'!') <> NVL(:NEW.NRFAXFORN,'!')) THEN
            V_DESC := V_DESC || ' TelFax=' || :NEW.NRFAXFORN;
         END IF;

         IF (NVL(:OLD.DSEMAILFORNNFE,'!') <> NVL(:NEW.DSEMAILFORNNFE,'!')) THEN
            V_DESC := V_DESC || ' EmailNFe=' || :NEW.DSEMAILFORNNFE;
         END IF;

         V_TIPO   := '1';
         V_ITPESQ := :NEW.CDFORNECED;
      END IF;
   END IF;

   V_DESC := SUBSTR(V_DESC, 1, 300);
   IF V_TIPO <> '0' THEN
      IF NOT V_DESC IS NULL THEN
         INSERT INTO LOGOPERA
            (NMTABELA,     DTOPERACAO,   NMRESPOPER,  IDTIPOOPER,   DSOPERACAO, CDPESQITEM,
             DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
         VALUES
            ('ENDEFORN',    SYSDATE,        NVL(V_NMOPERADOR,' '), V_TIPO,         V_DESC,  V_ITPESQ,
             V_DSSERVERRDM, V_DSREMOTEADDR, V_DSREMOTEHOST,        V_DSSERVMETHOD, V_DSREMOTEOPER);
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_GER_ENDEFORN','5.42.xxx'); END;
/
